require File.dirname(__FILE__) + '/../../../spec_helper'
include OpenEHR::AM::Archetype
include OpenEHR::RM::Support::Identification
include OpenEHR::RM::DataTypes::Text

shared_examples_for 'sample archetype' do
  before(:all) do
    archetype_id = ArchetypeID.new(:value => 
                                   'adl-test-ENTRY.most_minimal.v1')
    terminology_id = TerminologyID.new(:value => 'ISO_639-1')
    original_language = CodePhrase.new(:code_string => 'en',
                                       :terminology_id => terminology_id)
    @archetype = stub(Archetype, :adl_version => '1.4',
                      :archetype_id => archetype_id,
                      :concept => 'at0000')
  end
end
